# Maintainers

This file contains a list of the maintainers of the tldr-pages project.
Note: only the people marked with **bold** are currently in the indicated role.
The other entries are kept for historical record.

There are three types of maintainers, as described in
[COMMUNITY-ROLES.md](https://github.com/tldr-pages/tldr/blob/master/COMMUNITY-ROLES.md#when-to-change-roles):
repository collaborators, organization members, and organization owners
— each having specific roles in maintaining the project, as outlined below.

In general terms, all maintainers are expected to follow the
[Maintainer's guide](contributing-guides/maintainers-guide.md).


## Repository collaborators

Repository collaborators have write access to this repository,
which allows them to label, edit and close issues,
as well as review and merge pull requests from other contributors.
If you are an owner of the organization, you should be able to see an automated list
[here](https://github.com/tldr-pages/tldr/settings/collaboration).

- **Max Xu ([@jsonbruce](https://github.com/jsonbruce))**:
  [13 January 2018](https://github.com/tldr-pages/tldr/issues/1885) — present
- **Jeef ([@jeeftor](https://github.com/jeeftor))**:
  [12 March 2017](https://github.com/tldr-pages/tldr/issues/1209#issuecomment-285924778) — present
- **Muhammad Falak R Wani ([@mfrw](https://github.com/mfrw))**:
  [7 September 2018](https://github.com/tldr-pages/tldr/issues/2306) — present
- **Andrik Albuquerque ([@andrik](https://github.com/andrik))**:
  [9 May 2019](https://github.com/tldr-pages/tldr/issues/2988) — present
- **Ivan Aracki ([@Aracki](https://github.com/Aracki))**:
  [9 May 2019](https://github.com/tldr-pages/tldr/issues/2988) — present
- **Pierre Rudloff ([@Rudloff](https://github.com/Rudloff))**:
  [19 November 2019](https://github.com/tldr-pages/tldr/issues/3580) — present
- **Proscream ([@Proscream](https://github.com/Proscream))**:
  [22 November 2019](https://github.com/tldr-pages/tldr/issues/3592) — present
- **Guido Lena Cota ([@glenacota](https://github.com/glenacota))**:
  [19 October 2020](https://github.com/tldr-pages/tldr/issues/4763) — present
- **Sahil Dhiman ([@sahilister](https://github.com/sahilister))**:
  [05 December 2020](https://github.com/tldr-pages/tldr/issues/4994) — present
- **bl-ue ([@bl-ue](https://github.com/bl-ue))**:
  [01 January 2021](https://github.com/tldr-pages/tldr/issues/5056) — present
- **Matthew Peveler ([@MasterOdin](https://github.com/MasterOdin))**:
  [09 January 2021](https://github.com/tldr-pages/tldr/issues/5122) — present
- Lucas Schneider ([@schneiderl](https://github.com/schneiderl)):
  [11 April 2019](https://github.com/tldr-pages/tldr/issues/2898) — [17 January 2020](https://github.com/tldr-pages/tldr/issues/3764)
- Ein Verne ([@einverne](https://github.com/einverne)):
  [29 October 2019](https://github.com/tldr-pages/tldr/issues/3488) — [12 January 2020](https://github.com/tldr-pages/tldr/issues/3738)
- Zlatan Vasović ([@zlatanvasovic](https://github.com/zlatanvasovic)):
  [30 November 2019](https://github.com/tldr-pages/tldr/issues/3636) — [17 December 2019](https://github.com/tldr-pages/tldr/issues/3663)
- Iván Hernández Cazorla ([@ivanhercaz](https://github.com/ivanhercaz)):
  [24 December 2019](https://github.com/tldr-pages/tldr/issues/3690) — [5 January 2020](https://github.com/tldr-pages/tldr/issues/3736)
- Axel Navarro ([@navarroaxel](https://github.com/navarroaxel)):
  [24 August 2020](https://github.com/tldr-pages/tldr/issues/4291) — [05 October 2020](https://github.com/tldr-pages/tldr/issues/4504)

## Organization members

In addition to everything that repository collaborators can do, organization members
have write access to all the repositories in the tldr-pages organization,
and [a few extra maintenance capabilities](https://docs.github.com/en/free-pro-team@latest/github/setting-up-and-managing-organizations-and-teams/permission-levels-for-an-organization).
An automated list can be found [here](https://github.com/orgs/tldr-pages/people).

- **Iván Hernández Cazorla ([@ivanhercaz](https://github.com/ivanhercaz))**:
  [5 January 2020](https://github.com/tldr-pages/tldr/issues/3736) — present
- **Ein Verne ([@einverne](https://github.com/einverne))**:
  [12 January 2020](https://github.com/tldr-pages/tldr/issues/3738) — present
- **Lucas Schneider ([@schneiderl](https://github.com/schneiderl))**:
  [17 January 2020](https://github.com/tldr-pages/tldr/issues/3764) — present
- **Axel Navarro ([@navarroaxel](https://github.com/navarroaxel))**:
  [05 October 2020](https://github.com/tldr-pages/tldr/issues/4504) — present
- Owen Voke ([@owenvoke](https://github.com/owenvoke))
  [26 August 2018](https://github.com/tldr-pages/tldr/issues/2258) — [8 May 2019](https://github.com/tldr-pages/tldr/issues/2989)
- Marco Bonelli ([@mebeim](https://github.com/mebeim)):
  [9 April 2019](https://github.com/tldr-pages/tldr/issues/2874) — [21 December 2019](https://github.com/tldr-pages/tldr/issues/3672)
- Zlatan Vasović ([@zlatanvasovic](https://github.com/zlatanvasovic)):
  [17 December 2019](https://github.com/tldr-pages/tldr/issues/3663) — [19 June 2020](https://github.com/tldr-pages/tldr/issues/4113)


## Organization owners

Owners of the tldr-pages organization have admin access to all of its repositories,
and are responsible for performing role changes in the community.
An automated list can be found [here](https://github.com/orgs/tldr-pages/people).

- **Romain Prieto ([@rprieto](https://github.com/rprieto))**:
  created the the project on [8 December 2013](https://github.com/tldr-pages/tldr/commit/11264d9)
- **Agniva De Sarker ([@agnivade](https://github.com/agnivade))**:
  [27 September 2016](https://gitter.im/tldr-pages/tldr?at=57eaedefe4e41c6a4afc2f47) — present
- **Starbeamrainbowlabs ([@sbrl](https://github.com/sbrl))**:
  [23 April 2017](https://gitter.im/tldr-pages/tldr?at=58fc6fce3e27cac331b5c397) — present
- **Owen Voke ([@owenvoke](https://github.com/owenvoke))**
  [8 May 2019](https://github.com/tldr-pages/tldr/issues/2989) — present
- **Marco Bonelli ([@mebeim](https://github.com/mebeim))**:
  [21 December 2019](https://github.com/tldr-pages/tldr/issues/3672) — present
- **Zlatan Vasović ([@zlatanvasovic](https://github.com/zlatanvasovic))**:
  [19 June 2020](https://github.com/tldr-pages/tldr/issues/4113) — present
- Igor Shubovych ([@igorshubovych](https://github.com/igorshubovych)):
  until [18 January 2018](https://github.com/tldr-pages/tldr/issues/1878#issuecomment-358610454)
- Ruben Vereecken ([@rubenvereecken](https://github.com/rubenvereecken)):
  until [18 January 2018](https://github.com/tldr-pages/tldr/issues/1878#issuecomment-358610454)
- Felix Yan ([@felixonmars](https://github.com/felixonmars)):
  until [18 January 2018](https://github.com/tldr-pages/tldr/issues/1878#issuecomment-358610454)
- Dan Zimmerman ([@danzimm](https://github.com/danzimm)):
  until [18 January 2018](https://github.com/tldr-pages/tldr/issues/1878#issuecomment-358610454)
- Eduardo Gurgel ([@edgurgel](https://github.com/edgurgel)):
  until [18 January 2018](https://github.com/tldr-pages/tldr/issues/1878#issuecomment-358610454)
- Arvid Gerstmann ([@Leandros](https://github.com/Leandros)):
  until [18 January 2018](https://github.com/tldr-pages/tldr/issues/1878#issuecomment-358610454)
- Leandro Ostera ([@ostera](https://github.com/ostera)):
  until [18 January 2018](https://github.com/tldr-pages/tldr/issues/1878#issuecomment-358610454)
- Waldir Pimenta ([@waldyrious](https://github.com/waldyrious)): until [26 August 2018](https://github.com/tldr-pages/tldr/issues/2257)
